Bug 1657356 - Trying to compile against glext.h without having mesa-libEGL-devel installed
Summary: Trying to compile against glext.h without having mesa-libEGL-devel installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 29
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-07 18:38 UTC by Owen Taylor
Modified: 2018-12-13 02:16 UTC (History)
13 users (show)

Fixed In Version: mesa-18.2.6-3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-13 02:16:03 UTC


Attachments (Terms of Use)

Description Owen Taylor 2018-12-07 18:38:40 UTC
In f29, mesa-libGL-devel-18.2.6-2.fc29 including glext.h without having mesa-libEGL-devel installed produces:

   DEBUG: BUILDSTDERR: /usr/include/GL/glext.h:467:10: fatal error: KHR/khrplatform.h: No such file or directory

See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=914167 https://bugs.freedesktop.org/show_bug.cgi?id=107511

Not sure if it's possible to have the same file listed in two subpackages - if not, might need a separate subpackage?

Comment 1 Mattias Ellert 2018-12-07 22:05:57 UTC
In Rawhide there is a mesa-khr-devel package containing the /usr/include/KHR/khrplatform.h file that all the other devel packages depend on. Do the same for Fedora 29.

Comment 2 Fedora Update System 2018-12-11 18:22:35 UTC
mesa-18.2.6-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-002d43a640

Comment 3 Fedora Update System 2018-12-12 03:33:35 UTC
mesa-18.2.6-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-002d43a640

Comment 4 Fedora Update System 2018-12-13 02:16:03 UTC
mesa-18.2.6-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.